package tests;

import java.io.*;

public class ClientMessageInterceptor implements jacorb.orb.ClientMessageInterceptor

{

    /********************************************************/
    /************* Post Invoke - Descompactacao *************/
    /********************************************************/


    public  byte [] post_invoke( org.omg.CORBA.Object t, byte [] buf ) {
	
	System.out.print ("Client.post_invoke: Decompressing message ..............");
	
	byte buf2[] = new byte[buf.length];

	/* ****** Descompactacao ***** */


	buf2 = MessageUtil.decompressMessage (buf);


	// Debug
	/*	try {

	    FileOutputStream os = new FileOutputStream ("client_response_descompactado");
	    os.write (buf2);
	    os.close();


	    os = new FileOutputStream ("client_response_compactado");
	    os.write (buf);
	    os.close();
	} catch (IOException e) {
	    System.out.println ("Erro de IO: " + e);
	    e.printStackTrace();
	}
	// **/
	
	
	System.out.println ("..................done");
	
	return buf2;
	


    }

    /****************************************************/
    /************* Pre Invoke - Compactacao *************/
    /****************************************************/

    
    public  byte [] pre_invoke( org.omg.CORBA.Object t, byte [] buf) {
	
	System.out.print ("Client.pre_invoke: Compressing message............");
	
	byte buf2[] = new byte[buf.length];
	
	
	/* *** Compactacao *** */

	buf2 = MessageUtil.compressMessage (buf);

	// Debug
	/*try {

	    FileOutputStream os = new FileOutputStream ("client_request_compactado");
	    os.write (buf2);
	    os.close();


	    os = new FileOutputStream ("client_request_descompactado");
	    os.write (buf);
	    os.close();
	} catch (IOException e) {
	    System.out.println ("Erro de IO: " + e);
	    e.printStackTrace();
	}
	// **/
	

	System.out.println ("................... done.");
	
	return buf2;
	
	
    }

    
} // of class


    
