package tests;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class TestsPOATie
	extends TestsPOA
{
	private TestsOperations _delegate;

	private POA _poa;
	public TestsPOATie(TestsOperations delegate)
	{
		_delegate = delegate;
	}
	public TestsPOATie(TestsOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public tests.Tests _this()
	{
		return tests.TestsHelper.narrow(_this_object());
	}
	public tests.Tests _this(org.omg.CORBA.ORB orb)
	{
		return tests.TestsHelper.narrow(_this_object(orb));
	}
	public TestsOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(TestsOperations delegate)
	{
		_delegate = delegate;
	}
	public POA _default_POA()
	{
		if( _poa != null )
		{
			return _poa;
		}
		else
		{
			return super._default_POA();
		}
	}
	public byte[] doNothing(byte[] i)
	{
		return _delegate.doNothing(i);
	}

	public java.lang.String toUpper(java.lang.String s)
	{
		return _delegate.toUpper(s);
	}

	public java.lang.String retString(int i)
	{
		return _delegate.retString(i);
	}

}
