package tests;

public class Crono {


    private long startTime = -1;

    private long endTime = -1;

    private String label = "";

    public Crono (String label) {
	this.label = label;
    }

    public void start() {
	startTime = System.currentTimeMillis ();
    }

    public void stop() {
	endTime = System.currentTimeMillis ();
    }

    public String toString () {
	
	if (startTime == -1 || endTime == -1)
	    return "---- INVALID STATE ----";

	long d = endTime - startTime;

	return "******************************************************\n" +
	       "Tempo cronometrado para " + label + 
               "(ms): " + d + "\n" +
	       "*******************************************************";
    }

} // of class
