package tests;

import java.io.*;

public class TestsImpl extends TestsPOA {



    /*********************************/
    /************ toUpper ************/
    /*********************************/

    public String toUpper (String s) {

	String ret = s.toUpperCase();

	/*	System.out.println ("************* Server *************");
	System.out.println ("Mensagem recebida: " + s);
	System.out.println ("Devolvendo: " + ret);
	System.out.println ("**********************************");
	*/

	
	// Debug
	try {
	    PrintWriter pw = new PrintWriter (new FileWriter ("server_mensagem_recebida"));
	    pw.print (s);
	    pw.close();
	    
	    pw = new PrintWriter (new FileWriter ("server_mensagem_devolvida"));
	    pw.print (ret);
	    pw.close();
	} catch (IOException e) {
	    System.out.println ("Erro de IO: " + e);
	    e.printStackTrace();
	}
	
	


	return ret;


    } // of toUpper


    /***********************************/
    /************ retString ************/
    /***********************************/


    public String retString (int i) {


	String text = "";

	try {
	    BufferedReader br = new BufferedReader (new FileReader ("string_resposta_server.txt"));
	    
	    String tmp = br.readLine();
	    while (tmp != null) {
		text += tmp + "\n";
		tmp = br.readLine();
	    }
	    
	} catch (IOException e) {
	    System.out.println ("Server.retString: Erro de IO " + e);
	}
 
	System.out.println ("Recebido int: " + i);

	return text;


    } // of retString



    /***********************************/
    /************ doNothing ************/
    /***********************************/

    public byte[] doNothing (byte[] in) {

	try {

	    FileOutputStream out = new FileOutputStream ("server_saida_doNothing");
	
	    out.write (in);
	    out.close();
	} catch (IOException e) {
	    System.out.println ("Server.doNothing: Erro de IO: "  + e);
	}


	return in;

    } // of doNothing


} // of class
