package tests;

/** stream-based skeleton class */

public abstract class TestsPOA
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, tests.TestsOperations
{
	private String[] ids = {"IDL:tests/Tests:1.0"};
	public tests.Tests _this()
	{
		return tests.TestsHelper.narrow(_this_object());
	}
	public tests.Tests _this(org.omg.CORBA.ORB orb)
	{
		return tests.TestsHelper.narrow(_this_object(orb));
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream out = null;
		// do something
		if( method.equals("doNothing"))
		{
							byte[] _arg0=tests.TestsPackage.OctetSeqHelper.read(input);
				out = handler.createReply();
				tests.TestsPackage.OctetSeqHelper.write(out,doNothing(_arg0));
		}
		else if( method.equals("toUpper"))
		{
							java.lang.String _arg0=input.read_string();
				out = handler.createReply();
				out.write_string(toUpper(_arg0));
		}
		else if( method.equals("retString"))
		{
							int _arg0=input.read_long();
				out = handler.createReply();
				out.write_string(retString(_arg0));
		}
		else 		if( method.equals("_non_existent"))
		{
			handler.createReply().write_boolean(_non_existent());
		}
		else if( method.equals("_get_interface"))
		{
			handler.createReply().write_Object(_get_interface());
		}
		else if( method.equals("_is_a"))
		{
			handler.createReply().write_boolean(_is_a(input.read_string()));
		}
		else
		{
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		}
		return out;
	}
	public boolean _is_a(String rep_id)
	{
		for(int i = 0; i < ids.length; i++ )
			if(rep_id.equals(ids[i])) return true;
		return false;
	}
	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
